Name:           python-configspace
Version:        1.2.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Creation and manipulation of parameter configuration spaces for automated algorithm configuration and hyperparameter tuning

License:        BSD-3-Clause
URL:            https://github.com/automl/ConfigSpace
Source:         %{pypi_source configspace}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
A simple Python module implementing a domain specific language to manage
configuration spaces for algorithm configuration and hyperparameter optimization tasks.

ConfigSpace is often used in AutoML tools such as SMAC3, BOHB, and auto-sklearn.
It provides a simple way to create configuration spaces and sample configurations
from them for hyperparameter optimization.}

%description %_description

%package -n     python3-configspace
Summary:        %{summary}

%description -n python3-configspace %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
# %%pyproject_extras_subpkg -n python3-configspace dev,docs,test,tooling


%prep
%autosetup -p1 -n configspace-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-configspace -f %{pyproject_files}


%changelog
%autochangelog
